// request
package models

type Request struct {
	Id         int
	OfficeHour OfficeHour
	Action     int
	Secret     string
}

const RequestActivate int = 1 // Fix integer to represent request for activation of an office hour.
const RequestDelete int = 2   // Fix integer to represent request for deletion of an office hour.

type RequestRepository interface {
	Add(officeHour OfficeHour, action int) (int, error)
	FindBySecret(secret string) (Request, error)
	Execute(request Request) error
}
